IP issue?

General support for problems installing or using Deluge
slvrdragn
Member
Member
Posts: 36
Joined: Tue Dec 12, 2017 4:50 pm

IP issue?

Postby slvrdragn » Wed Mar 04, 2020 3:54 pm

Hey All,
In the past week, I've suddenly run into an odd problem.
When connected to VPN, I can ping, resolve and browse but deluged doesn't seem to see the IP address or be able to talk to it.
All UI's report n/a for the IP address.
Monitoring traffic, I seem to see lots of UDP out but no TCP at all.
I'm using a linux namespace for isolation with a tun0 tied to the vpn connection.
This has worked for a couple years and only broke recently.
Wondering if there are any suggestions to troubleshoot?
Opensuse Tumbleweed is the OS.

mhertz
Compulsive Poster
Compulsive Poster
Posts: 838
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: IP issue?

Postby mhertz » Wed Mar 04, 2020 4:35 pm

Are you using libtorrent 1.2.4 by any chance? If so, with that version some have issues with VPNs and/or multi-homed interfaces(e.g IPv4 and IPv6), e.g one reported no TCP only UDP, like you. The fourth-coming 1.2.5 release, or current RC_1_2 branch builds, should fix this, or revert to previous 1.2.3 release.

slvrdragn
Member
Member
Posts: 36
Joined: Tue Dec 12, 2017 4:50 pm

Re: IP issue?

Postby slvrdragn » Wed Mar 04, 2020 5:34 pm

I may be, I'm using the rpm's from the repo but I'll try building libtorrent manually.
I'm just puzzled because everything else works, just deluge is breaking.

slvrdragn
Member
Member
Posts: 36
Joined: Tue Dec 12, 2017 4:50 pm

Re: IP issue?

Postby slvrdragn » Wed Mar 04, 2020 5:36 pm

And checking the package, it is 1.2.4
let me try reverting.

slvrdragn
Member
Member
Posts: 36
Joined: Tue Dec 12, 2017 4:50 pm

Re: IP issue?

Postby slvrdragn » Wed Mar 04, 2020 5:59 pm

lol can you point me to a doc for this by chance?
I'm lost trying to figure out how to find and build 1.2.3 manually.

mhertz
Compulsive Poster
Compulsive Poster
Posts: 838
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: IP issue?

Postby mhertz » Wed Mar 04, 2020 9:38 pm

https://www.libtorrent.org/building.html

That's official doc, and supplemental info/guides are available additionally by doing a google search for it.

I don't know opensuse tumbleweed personally, other than it's a rolling-release distro. When I have such issue on arch-linux, I downgrade the package from my cache-directory, and if not there, then I go hunt for the package in a not up-to-date mirror online(and if not there, build from ABS or AUR). Afterwards I add package-name to ignore variable in package-manager's config-file. Sorry I cannot help you with how that works for your distro.

Edit: A quick search, states in, granted 2 year old posting, that you should download the older package from previous distro-release, install and lock it with zipper afterwards.

"Download and install the package for 42.2 from software.opensuse.org, use zypper addlock geary to lock it." (not libtorrent-related)

When I checked searching libtorrent-rasterbar or libtorrent-rasterbar10 there, don't know which is correct then they are only listing 1.2.4 for 15.1 and 15.2 of tumbleweed, when selecting tumbleweed as distro, but maybe you can select the normal non-rolling version of opensuse instead of tumbleweed, but don't know if packages are supported though. This was just one of the first Google results, so you can probably find better/more info yourself. Good luck.

mhertz
Compulsive Poster
Compulsive Poster
Posts: 838
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: IP issue?

Postby mhertz » Thu Mar 05, 2020 8:33 am

https://mirror.epsi-nantes.fr/opensuse/ ... x86_64.rpm

I think that is the one needed, though could be wrong. Sometimes however, you also then need other downgraded deps besides, and will have to hunt for them yourself - just search filename or parts of it including version number, and add tumbleweed and repo to the search phrase and you will find outdated tumbleweed mirrors like I did above(only needed if not having package already in your cache dir). Good luck.

slvrdragn
Member
Member
Posts: 36
Joined: Tue Dec 12, 2017 4:50 pm

Re: IP issue?

Postby slvrdragn » Tue Mar 10, 2020 6:15 pm

I actually started off with the "get it from old distro" and they were all 1.2.4. Nothing on download.opensuse.org had 1.2.3 :(
I tried building from that doc but the instructions were basing on 2.7 and my attempts to get it to talk to 3.7 didn't work out in my favour.
The building info on deluge-torrent.org as well seemed to be based on 2.7 :(

That rpm does look like it, I'm surprised that didn't turn up on rpmfind when I was looking.

Thank you, i'll try it and update the thread with results.

slvrdragn
Member
Member
Posts: 36
Joined: Tue Dec 12, 2017 4:50 pm

Re: IP issue?

Postby slvrdragn » Tue Mar 10, 2020 7:26 pm

Success!
I actually needed 3 packages
-rw-r--r-- 1 root root 366552 Mar 10 14:16 libtorrent-rasterbar-devel-1.2.3-1.1.x86_64.rpm
-rw-r--r-- 1 root root 1303784 Mar 10 14:14 libtorrent-rasterbar10-1.2.3-1.1.x86_64.rpm
-rw-r--r-- 1 root root 367052 Mar 10 14:20 python3-libtorrent-rasterbar-1.2.3-1.1.x86_64.rpm

RagavKumar
New User
New User
Posts: 4
Joined: Sat Mar 14, 2020 11:42 am

Re: IP issue?

Postby RagavKumar » Sat Mar 14, 2020 11:54 am

I guess this might help regarding IP issues.
In fact, there is a way of how to fix and hide IP address https://www.thevpnexperts.com/vpn/hide-ip-address/ and stay safe online.
Hopefully, this might help!


Return to “Support”

Who is online

Users browsing this forum: No registered users and 11 guests